Subject: RE: [Simple] Presence Authorization Discussion B: Composition/Aut h Sequencing

From: Goeman Stefan <[email-masked]>
Date: Wed, 13 Oct 2004 12:07:40 +0200

Hello,

I would agree on the order of first composition and then authorization in
the case that composition would be watcher independent.

But in light of the discussion of watcher dependent composition I would
favor the other way around (first authorization and the composition).
Because, does it make sense to do a watcher dependent composition and spent
time and processing power on it, to find out later that you will block this
watcher.

Greetings,
Stefan.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jonathan Rosenberg
> Sent: maandag 11 oktober 2004 9:43
> To: Simple WG
> Subject: [Simple] Presence Authorization Discussion B: 
> Composition/Auth Sequencing
> 
> 
> We had a lot of list discussion at some point about whether 
> composition 
> came first or whether authorization came first, and about 
> where the line 
> between one ended and the next began.
> 
> I think this is much clearer now in light of the data model, 
> which very 
> explicitly separates the roles of composition (correlation, conflict 
> resolution, merging and splitting) and privacy filtering based on 
> authorization rules. The former happens first. Indeed, I 
> think the data 
> model gives us a good grounding to start a discussion later on about 
> what we might want composition policy documents to look like. 
> But lets 
> hold that off until we finish our basic work.
> 
> Thanks,
> Jonathan R.
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple